Debian Bug report logs - #49352
dialog lacks way to set default item in menu without ordering it first

version graph

Package: whiptail; Maintainer for whiptail is Alastair McKinstry <mckinstry@debian.org>; Source for whiptail is src:newt.

Reported by: pfaffben@msu.edu

Date: Sat, 6 Nov 1999 16:18:01 UTC

Severity: wishlist

Merged with 49796

Fixed in version newt/0.51.4-10

Done: Alastair McKinstry <mckinstry@computer.org>

Bug is archived. No further changes may be made.

Forwarded to "T.E.Dickey" <dickey@clark.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@master.debian.org>:
Bug#49352; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to pfaffben@msu.edu:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: pfaffben@msu.edu (Ben Pfaff)
To: submit@bugs.debian.org
Subject: debconf: order is confusing in priority selection
Date: Sat, 06 Nov 1999 11:03:43 -0500
Package: debconf
Version: 0.2.15
Severity: wishlist

When debconf prompts for the minimum priority question that
should be shown to the admin at install time, it puts them in
an unusual order, as such:

	     low
	     critical
	     high
	     medium

I think that they should be ordered in least -> greatest or
greatest -> least priority order, to avoid confusion.

This is debconf's initial install.  It is displaying a
text-based dialogue interface.

Thanks,

Ben.


Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@master.debian.org>:
Bug#49352; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@master.debian.org>. Full text and rfc822 format available.

Message #10 received at 49352@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: pfaffben@msu.edu, 49352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#49352: debconf: order is confusing in priority selection
Date: Mon, 8 Nov 1999 13:05:19 -0800
reassign 49352 dialog
retitle 49352 dialog lacks way to set default item in menu without ordering it first
thanks

Ben Pfaff wrote:
> When debconf prompts for the minimum priority question that
> should be shown to the admin at install time, it puts them in
> an unusual order, as such:
> 
> 	     low
> 	     critical
> 	     high
> 	     medium
> 
> I think that they should be ordered in least -> greatest or
> greatest -> least priority order, to avoid confusion.
> 
> This is debconf's initial install.  It is displaying a
> text-based dialogue interface.

Dialog has the limitation of not being able to specify what item is default
in a list of items, unless you reorder that item to the top of the list. I
can do nothing about this, since it's a design problem in dialog itself. I
have reassigned this to dialog, since I would like such an option to exist.

In the meantime, any other debconf frontend you use will not have this
problem.

(If dialog makes the change, whiptail and gnome-dialog will need to follow
suit, of course..)

-- 
see shy jo


Bug reassigned from package `debconf' to `dialog'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 49352 49796. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #19 received at 49352-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "T.E.Dickey" <dickey@clark.net>
Cc: 49352-forwarded@bugs.debian.org, pfaffben@msu.edu, Joey Hess <joeyh@debian.org>
Subject: Bug#49352: dialog lacks way to set default item in menu
Date: Mon, 7 Feb 2000 19:25:42 +0100 (CET)
Hello.

This came from debconf, but it is really a not-yet-implemented feature
in dialog. To summarize: dialog lacks a way to set default item in menu
without ordering it first.

I'm sure this feature will make debconf a lot more user-friendly.

Thanks.

The original report by Ben Pfaff looked like this:

( I hope Ben forgive any byte-by-byte unaccuracy because I am cutting and
  pasting from the HTML Bug pages viewed by lynx :-)

--------------------------------------------------------------------------
Package: debconf
Version: 0.2.15
Severity: wishlist

When debconf prompts for the minimum priority question that
should be shown to the admin at install time, it puts them in
an unusual order, as such:

             low
             critical
             high
             medium

I think that they should be ordered in least -> greatest or
greatest -> least priority order, to avoid confusion.

This is debconf's initial install.  It is displaying a
text-based dialogue interface.

Thanks,

Ben.



Reply sent to Santiago Vila <sanvila@ctv.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to pfaffben@msu.edu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 49352-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@ctv.es>
To: 49352-close@bugs.debian.org
Subject: Bug#49352: fixed in dialog 0.9a-20000425-1
Date: 26 Apr 2000 19:00:44 -0000
We believe that the bug you reported is fixed in the latest version of
dialog, which has been installed in the Debian FTP archive:
dialog_0.9a-20000425-1_i386.deb
  to dists/woody/main/binary-i386/libs/dialog_0.9a-20000425-1.deb
  replacing dialog_0.9a-20000118-3.deb
dialog_0.9a-20000425.orig.tar.gz
  to dists/woody/main/source/libs/dialog_0.9a-20000425.orig.tar.gz
  replacing dialog_0.9a-20000118.orig.tar.gz
dialog_0.9a-20000425-1.diff.gz
  to dists/woody/main/source/libs/dialog_0.9a-20000425-1.diff.gz
  replacing dialog_0.9a-20000118-3.diff.gz
dialog_0.9a-20000425-1.dsc
  to dists/woody/main/source/libs/dialog_0.9a-20000425-1.dsc
  replacing dialog_0.9a-20000118-3.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 49352@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@ctv.es> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.6
Date: Wed, 26 Apr 2000 17:07:40 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20000425-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@ctv.es>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 49352 49796 54537
Changes: 
 dialog (0.9a-20000425-1) unstable; urgency=low
 .
   * New upstream release. Some new features since the last Debian release:
   - Implemented message i18n (Closes: #54537).
   - Added --default-item option, for menubox to set the default
     selection (Closes: #49352, #49796).
   - On initialization, check if standard input is from a terminal.
     If not, open /dev/tty (Bug #57771).
   - Several usability improvements. See the upstream changelog.
Files: 
 a4f678167a622e0557d9f0aaa245887f 636 base optional dialog_0.9a-20000425-1.dsc
 f1c93261d9f4823eb1ebbc2343ab1c9c 153727 base optional dialog_0.9a-20000425.orig.tar.gz
 cb5850086b1c254d66ac8ae3c92695a7 4167 base optional dialog_0.9a-20000425-1.diff.gz
 8458a629c88436464036505af1f2d029 62800 base optional dialog_0.9a-20000425-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: latin1

iQCVAgUBOQcGyiqK7IlOjMLFAQE3nwP/aBFM49F71qO7LULcw+UZ3w7cz61mKrH6
iH8CSuEmQlUfE0Dg+2iTip4vE3I5+co4uiYG6IPicN61lZ1PgBY41Sfs8vZ68AGE
iVQvCo/IQH4VdrHAgn2MAyFlnoIziqc1pDzVr3euaq672kbXQDWACST+gRe45YP6
TC/xugApwLc=
=JgQT
-----END PGP SIGNATURE-----



Bug reassigned from package `dialog' to `whiptail'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `whiptail' to `whiptail'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Alastair McKinstry <mckinstry@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to pfaffben@msu.edu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 49352-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: 49352-close@bugs.debian.org
Subject: Bug#49352: fixed in newt 0.51.4-10
Date: Mon, 16 Jun 2003 16:32:48 -0400
We believe that the bug you reported is fixed in the latest version of
newt, which is due to be installed in the Debian FTP archive:

libnewt-dev_0.51.4-10_i386.deb
  to pool/main/n/newt/libnewt-dev_0.51.4-10_i386.deb
libnewt-pic_0.51.4-10_i386.deb
  to pool/main/n/newt/libnewt-pic_0.51.4-10_i386.deb
libnewt0.51_0.51.4-10_i386.deb
  to pool/main/n/newt/libnewt0.51_0.51.4-10_i386.deb
newt-tcl_0.51.4-10_i386.deb
  to pool/main/n/newt/newt-tcl_0.51.4-10_i386.deb
newt_0.51.4-10.diff.gz
  to pool/main/n/newt/newt_0.51.4-10.diff.gz
newt_0.51.4-10.dsc
  to pool/main/n/newt/newt_0.51.4-10.dsc
python-newt_0.51.4-10_i386.deb
  to pool/main/n/newt/python-newt_0.51.4-10_i386.deb
whiptail_0.51.4-10_i386.deb
  to pool/main/n/newt/whiptail_0.51.4-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 49352@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@computer.org> (supplier of updated newt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 16 Jun 2003 20:54:30 +0100
Source: newt
Binary: libnewt-dev libnewt-pic libnewt0.51 newt-tcl whiptail python-newt
Architecture: source i386
Version: 0.51.4-10
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@computer.org>
Changed-By: Alastair McKinstry <mckinstry@computer.org>
Description: 
 libnewt-dev - Developer's toolkit for newt windowing library
 libnewt-pic - Not Erik's Windowing Toolkit, shared library subset kit
 libnewt0.51 - Not Erik's Windowing Toolkit - text mode windowing with slang
 newt-tcl   - A newt module for Tcl
 python-newt - A NEWT module for Python
 whiptail   - Displays user-friendly dialog boxes from shell scripts
Closes: 49352 49796 67356 196290 196570
Changes: 
 newt (0.51.4-10) unstable; urgency=low
 .
   * libnewt0.51 replaces libnewt0, libnewt-utf8; whiptail can also use tcl8.4
     Closes: #196570.
   * Add README.whiptail to document the purpose of whiptail. Closes: #67356.
   * --default-item option added to whiptail, whiptcl.
     Closes: #49352, #49796.
   * Added shlibs fix from Daniel Schepler for whiptail dependency on alpha.
     Closes: #196290.
   * malloc, realloc failures in whiptail, whiptcl now generate a DLG_ERROR
     return, not a segfault.
Files: 
 4d0d75ebd4553fd0f0e9e98898275a69 741 devel optional newt_0.51.4-10.dsc
 81230a5ba190977c42e520e631f2e5eb 62979 devel optional newt_0.51.4-10.diff.gz
 0765daecf59dcfb5153affb4d2664697 44520 base standard libnewt0.51_0.51.4-10_i386.deb
 d3fbbb74b4c2d4febeab79f708bba8a7 67552 libdevel optional libnewt-dev_0.51.4-10_i386.deb
 9ebab194fad4b33db3b7a14ea9e0d4a5 46360 libdevel extra libnewt-pic_0.51.4-10_i386.deb
 dda9b586f96dabc58aa30871405542c1 21864 interpreters extra newt-tcl_0.51.4-10_i386.deb
 c45d065033e2119dbff88cf8c45bb86f 29072 python standard python-newt_0.51.4-10_i386.deb
 b19dc6d6502096cb37d7a21dd4e1509e 26828 base standard whiptail_0.51.4-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+7iMZ+o43kJBROPQRAlehAJ9gi6xxzIfBR+1bIRBT7KujGC/GoACgs9Nj
Su66bTgB4V2WZlg4Pk8n5jg=
=75z8
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:30:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.